Bug 402571 - Yum GUI fails on load
Yum GUI fails on load
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 07:13 EST by Don
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 13:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum gui failure (2.60 KB, text/plain)
2007-11-28 07:13 EST, Don
no flags Details

  None (edit)
Description Don 2007-11-28 07:13:23 EST
Description of problem:

where do I upload the little file that yum let me save, oh there it is...

pS, I went to the "errata" page and was hit with TMI. sensory overload. I don't
even see the word FEDORA on the page. No thanks.

Version-Release number of selected component (if applicable):


How reproducible:

start, add remove software, FAIL.

Steps to Reproduce:
1. duh. see above.
2.
3.
  
Actual results:

FAIL.

Expected results:

ability to use yum GUI.
Additional info:
Comment 1 Don 2007-11-28 07:13:23 EST
Created attachment 271201 [details]
yum gui failure
Comment 2 Tim Lauridsen 2007-11-29 02:13:16 EST
Look like a pirut issue, i reassign it to pirut.
Comment 3 Jeremy Katz 2007-11-30 11:55:44 EST
Can you do
  'yum --enablerepo=updates-testing update pirut'
and see if that helps?
Comment 4 Don 2007-12-02 01:32:31 EST
entered 'yum --enablerepo=updates-testing update pirut' as superuser.
Updating one package with yum command line...
Complete!

Running Add/Remove Software:

Error window:

Component: pirut
Summary: TB7e9f69a8 __init__.py:154:pirutCDHandler:TypeError: 'list' object is
not callable

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 476, in <module>
    main()
  File "/usr/sbin/pirut", line 472, in main
    pm.run()
  File "/usr/sbin/pirut", line 400, in run
    self.doRefresh()
  File "/usr/sbin/pirut", line 416, in doRefresh
    self.doRefreshRepos(self._onlyrepo)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 331, in
doRefreshRepos
    self.reposSetup(pbar, thisrepo)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 296, in reposSetup
    self.doTsSetup()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 63, in doTsSetup
    return self._getTs()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 77, in _getTs
    self._tsInfo.setDatabases(self.rpmdb, self.pkgSack)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 526, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 381, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 242, in populateSack
    sack.populate(repo, mdtype, callback, cacheonly)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 142, in populate
    if self._check_db_version(repo, mydbtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 199, in
_check_db_version
    if repo.repoXML.repoData.has_key(mdtype):
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 769, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 761, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 744, in _loadRepoXML
    cache=self.http_caching == 'all')
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 574, in _getFile
    result = self.mediafunc(local = local, checkfunc = checkfunc, relative =
relative, text = text, copy_local = copy_local, url = url, mediaid =
self.mediaid, name = self.name, discnum = discnum, range = (start, end))
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 154, in
pirutCDHandler
    cddevs = hal.FindDeviceByCapability('storage.cdrom')
TypeError: 'list' object is not callable

Local variables in innermost frame:
HalCD: <module 'pirut.HalCD' from
'/usr/lib/python2.5/site-packages/pirut/HalCD.pyc'>
mediaid: 1194015397.199387
name: Fedora 8
dbus: <module 'dbus' from '/usr/lib/python2.5/site-packages/dbus/__init__.pyc'>
args: ()
Comment 5 Don 2007-12-02 01:34:06 EST
Perhaps I need to sync or restart something? I don't like rebooting all the
time, it reminds me too much of windows.

Thanks,

D
Comment 6 Jeremy Katz 2008-05-28 15:20:16 EDT
Are you still seeing this?
Comment 7 Jeremy Katz 2008-06-13 13:26:01 EDT
Closing due to inactivity; please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.